@each $width in $resposive-width{
    @media screen and (max-width: #{$width}px){
        .page-body{

            section{
                &.fabrications{
                    .fabrication-section-info{
                        @if($width >= 767){
                            max-width: #{unitary($width,1530)}px;
                        }
                        
                    }
                }
        
                &.fabrication-gallary{
                    .fab-img{
                        @if($width >= 767){
                           padding: #{unitary($width,6)}px;
                           
                        }
                        .fb-gallary{
                        
                        }
                    }
                }

                &.fabrication-video{
                    .video-gallery{
                        @if($width > 767){
                            height: #{unitary($width, 650)}px;
                        } @else if($width == 767){
                            height: auto;
                            flex-direction: column;
                        }

                        .preview{
                            @if($width > 767){
                                width: calc(100% - #{unitary($width, 370)}px);
                            } @else if($width == 767){
                                width: 100%
                            }
                            iframe, video, img{
                                @if($width == 767){
                                    height: 300px;
                                }

                            }
                        }
                        .thumbnails{
                            @if($width > 767){
                                width: #{unitary($width, 370)}px;
                            } @else if($width == 767){
                                display: block;
                                white-space: nowrap;
                                height: auto;
                                width: 100%;
                            }
                            .thumbnail{
                                @if($width > 767){
                                    width: #{unitary($width, 320)}px;
                                    margin: #{unitary($width, 25)}px;
                                } @else if($width == 767) {
                                    display: inline-flex;
                                    height: 100px;
                                }

                                &:not(:first-child){
                                    @if($width == 767) {
                                        margin-top: #{unitary($width, 25)}px;
                                        margin-left: 0;
                                    }
                                }

                                &.active, &:hover{
                                }

                                img{
                                    @if($width == 767) {
                                        height: 100%;
                                        object-fit: cover;
                                    }
                                }
                                .caption{
                                    @if($width > 767){
                                        padding: #{unitary($width, 10)}px;
                                        font-size: #{unitary($width, 12)}px;
                                    } @else if($width == 767) {
                                        display: none;
                                    }
                                }
                            }
                        }
                    }
                }
                
            }
        }
    }
}